### Method

# Fwupd Device set_parent

since: 1.0.8

#### Declaration [src]

    void
    fwupd_device_set_parent (
      FwupdDevice* self,
      FwupdDevice* parent
    )

#### Description [src]

Sets the parent. Only used internally.

Available since: 1.0.8

Sets property | `Fwupd.Device:parent`

#### Parameters

`parent`

  Type: `FwupdDevice`

  Another `FwupdDevice`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.